# Asterisk Project : Asterisk 13 Function_ODBC_FETCH

Created by wikibot on Aug 08, 2014

# ODBC_FETCH()

### Synopsis

Fetch a row from a multirow query.

### Description

For queries which are marked as mode=multirow, the original query returns a result-id from which results may be fetched. This function implements the actual fetch of the results.

This also sets `ODBC_FETCH_STATUS`.

- `ODBC_FETCH_STATUS`
  - SUCESS - If rows are available.
  - FAILURE - If no rows are available.

### Syntax

    ODBC_FETCH(result-id)

##### Arguments

- `result-id`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538